Bug 447090 - Scintilla editor adds newline to files, then tells you file has changed
Scintilla editor adds newline to files, then tells you file has changed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On: 446242
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 15:46 EDT by Harry Bock
Modified: 2009-07-14 13:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:53:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case illustrating issue (44 bytes, text/x-csrc)
2008-05-28 23:57 EDT, Harry Bock
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 491491 None None None Never

  None (edit)
Description Harry Bock 2008-05-17 15:46:13 EDT
Description of problem:
When using the Scintilla editor, Anjuta seems to ensure that the C file you are
saving ends in a newline.  However, it does this by adding it after your initial
save; Scintilla then notices the file has changed, and pops up a dialog letting
you know that it was changed:

"The file 'blah.c' on the disk is more recent than
the current buffer.
Do you want to reload it?"

This is annoying because Scintilla is making this change and then asking me if I
want to reload it - it should just add the newline and THEN save, rather than
save, add newline, and have inotify kick in and bug me about it.

Version-Release number of selected component (if applicable):
2.2.3-7.fc9

How reproducible:
It doesn't 

Steps to Reproduce:
1. Create source file with some code, neglecting to place a newline at the end.
2. Save said file.
  
Actual results:
Dialog pops up asking if you would like to reload the "externally" modified
source file. If you cancel, it will remain without the newline (even though it
has one on disk!)

Expected results:
Newline added, saved, no questions asked.

Additional info:
It doesn't seem to happen EVERY time, but it's fairly consistent.
Comment 1 Debarshi Ray 2008-05-25 14:49:17 EDT
This has been fixed in Anjuta 2.4.1, which will be landing for Fedora 9 and
Rawhide sometime in the near future. Hang on!
Comment 2 Fedora Update System 2008-05-26 15:52:24 EDT
anjuta-2.4.1-1.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-05-28 22:41:13 EDT
anjuta-2.4.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anjuta'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4478
Comment 4 Harry Bock 2008-05-28 23:57:10 EDT
Created attachment 307013 [details]
Test case illustrating issue

Running anjuta-2.4.1-1.fc9 from updates-testing, this issue remains with the
Scintilla editor.

A simple test case is attached; add a space after the #endif, delete it, and
try to save it (no trailing newline).  A dialog box still pops up notifying the
user that the file has been changed on disk.
Comment 5 Fedora Update System 2008-06-11 00:38:42 EDT
anjuta-2.4.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Debarshi Ray 2008-10-28 18:00:07 EDT
Yes, it is still present in Anjuta 2.24.
Comment 7 Bug Zapper 2009-06-09 20:56:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:53:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.